When protecting a non-existent page, the API uses wrong preference to determine whether to watch page
Closed, ResolvedPublic

Assigned To
None
Priority
Needs Triage
Author
TTO
Subscribers
Anomie, TTO, Umherirrender and 3 others
Projects
Reference
bz56766
Description

When you use the API to protect a non-existent page with protections=create=sysop and watchlist=preferences, it seems to use the value of the "Add pages I create and files I upload to my watchlist" (wpWatchCreations) preference to decide whether or not to add the page to your watchlist.

Since no page is actually being created, this seems inappropriate.


Version: unspecified
Severity: normal

bzimport added a project: MediaWiki-API.Via ConduitNov 22 2014, 2:19 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz56766.
TTO created this task.Via LegacyNov 8 2013, 11:12 AM
TTO added a comment.Via ConduitNov 8 2013, 11:15 AM

This is easy to fix, but I'm just not sure what it should be changed to use... my gut feeling is to make watchlist=preferences behave like watchlist=no in this case. The other option would be to add a new pref (= sadness).

Anomie added a comment.Via ConduitNov 8 2013, 6:40 PM

The correct behavior would be to match that of the web UI, which uses 'watchdefault' ("watch pages I edit") for this situation.

gerritbot added a comment.Via ConduitNov 8 2013, 6:41 PM

Change 94399 had a related patch set uploaded by Anomie:
Cleanup watchlist preference usage

https://gerrit.wikimedia.org/r/94399

gerritbot added a comment.Via ConduitNov 8 2013, 10:27 PM

Change 94399 merged by jenkins-bot:
Cleanup watchlist preference usage

https://gerrit.wikimedia.org/r/94399

Umherirrender added a comment.Via ConduitNov 9 2013, 9:19 AM

Was successfully merged

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.